<?php
/**
 phpSQLiteAdmin is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 phpSQLiteAdmin is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with phpSQLiteAdmin; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
  Copyright 2004 Richard Heyes
  Copyright 2006-2007 Lexington Warner II <lex@fosilis.com>
*/
include('conf.inc.php');
include($config['base_dir'].'include/prepend.php');
if (empty($_SESSION['database']['path'])) common::redirect('index.right.php', lang('No database is selected!'));
$DB = &database::singleton($_SESSION['database']['params']);
$options['altRowAttributes'] = 'class="altRow"';
$dbProperties = new table($options);
$dbProperties->setHeaders(array(lang('Property'), lang('Value')));
$dbProperties->addRow(array(lang('Full Path'), realpath($_SESSION['database']['path'])));
$dbProperties->addRow(array(lang('Size'), common::formatFilesize(filesize($_SESSION['database']['path']))));
$filemtime = filemtime($_SESSION['database']['path']);
$xDaysAgo  = number_format( (time() - $filemtime)/86400, 1).lang(' days ago');
$dbProperties->addRow(array(lang('Last Modified'), date('H:i:s jS F Y', $filemtime)." ($xDaysAgo)"));

// Commented out, don't work on Win32
//$ownerProperties = posix_getpwuid(fileowner($_SESSION['database']['path']));
//$dbProperties->addRow(array(lang('Owner'), $ownerProperties['name']));

$tables = sqlite::getTableList();
$totalRecords = 0;
$views = sqlite::getViewList();
$template = 'database.tpl';
include($config['base_dir'].'include/template.php');
exit;
?>