<?php
/**
 phpSQLiteAdmin is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 phpSQLiteAdmin is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with phpSQLiteAdmin; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
  Copyright 2004 Richard Heyes
  Copyright 2006-2007 Lexington Warner II <lex@fosilis.com>
*/
function sendEtagHeader($contents)
{
	header('Etag: '.($etag = md5($contents)));
	return $etag;
}
if (!isset($characterSet)) $characterSet = lang('ISO-8859-1');
if (!isset($title)) $title = 'phpSQLiteAdmin';
$orig_template = $template;
$template = common::getTemplate($template);
if ($template)
{
	$error_reporting = error_reporting();
	error_reporting($error_reporting & ~E_NOTICE);
	header("Content-Type: text/html; charset=$characterSet");
	if ($config['miscellaneous']['http_compression']) ob_start('ob_gzhandler');
	ob_start();
	include(!empty($noMaster) ? $template : common::getTemplate('master.tpl'));
	$contents = ob_get_contents();
	ob_end_clean();
	echo $contents;
	if ($config['http_compression']) ob_end_flush();
	error_reporting($error_reporting);
}
else die("Couldn't find template: <b>$orig_template</b>");
exit;
?>