<?php
/**
 phpSQLiteAdmin is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 phpSQLiteAdmin is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with phpSQLiteAdmin; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
  Copyright 2004 Richard Heyes
  Copyright 2006-2007 Lexington Warner II <lex@fosilis.com>
*/
include('conf.inc.php');
include($config['base_dir'].'include/prepend.php');
if (authentication::isLoggedIn()) common::redirect('index.php');
if (!empty($_POST))
{
	if (!empty($_POST['username']))
	{
		$auth = &authentication::factory();
		if ($auth->authenticate($_POST['username'], $_POST['password']))
		{
			$_SESSION['login']['authenticated'] = true;
			$_SESSION['login']['username'] = $_POST['username'];
			$_SESSION['login']['sourceIP'] = common::getClientIP();
			$_SESSION['login']['userAgent'] = $_SERVER['HTTP_USER_AGENT'];
			common::redirect('index.php');
		}
		else common::redirect('login.php', lang('Invalid username/password!'));
	}
	else common::redirect('login.php', lang('You must supply a username!'));
}
$languageList = $config['languages']['language'];
$defaultLang = !empty($_COOKIE['phpSQLiteAdmin_language']) ? $_COOKIE['phpSQLiteAdmin_language'] : $config['languages']['default'];
foreach ($languageList as $k => $v)
{
	if ($languageList[$k]['code'] == $defaultLang) $languageList[$k]['selected'] = 'selected="selected"';
}
$template = 'login.tpl';
include($config['base_dir'].'include/template.php');
?>