<?php
/**
 phpSQLiteAdmin is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 phpSQLiteAdmin is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with phpSQLiteAdmin; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
  Copyright 2004 Richard Heyes
  Copyright 2006-2007 Lexington Warner II <lex@fosilis.com>
*/
include('conf.inc.php');
include($config['base_dir'].'include/prepend.php');
if (!empty($_POST))
{
	if (!empty($_POST['columns']) AND !empty($_POST['tableName']))
	{
		$columns = explode('|', $_POST['columns']);
		foreach ($columns as $col)
		{
			$col = explode(':', $col);
			$col[1] = strtoupper($col[1]);
			$colSql = "$col[0] $col[1]";
			if ($col[2] !== '') $colSql .= " ($col[2])";
			if ($col[4] !== '1') $colSql .= " NOT NULL";
			if ($col[3]!== '') $colSql .= " DEFAULT $col[3]";
			if ($col[5] === 'primary') $colSql .= ' PRIMARY KEY';
			else if ($col[5] === 'unique') $colSql .= ' UNIQUE';
			$sql[] = $colSql;
		}
		$sql = sprintf("CREATE %s TABLE %s (%s)", !empty($_POST['temporary']) ? 'TEMPORARY' : '', $_POST['tableName'], implode(', ', $sql));
		$DB = &database::singleton($_SESSION['database']['params']);
		$result = @$DB->query($sql);
		if ($result) common::redirect('table.php?table=' . rawurlencode($_POST['tableName']), lang(sprintf('Created table <i>%s</i>', $_POST['tableName'])));
		else common::redirect('table.builder.php', lang(sprintf('Failed to create table, SQLite said: %s', $DB->getLastError())));
	}
	else common::redirect('table.builder.php', lang('Either column data or table name missing!'));
}
$template = 'builder.tpl';
include($config['base_dir'].'include/template.php');
exit;
?>