<?php
/**
 phpSQLiteAdmin is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 phpSQLiteAdmin is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with phpSQLiteAdmin; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
  Copyright 2004 Richard Heyes
  Copyright 2006-2007 Lexington Warner II <lex@fosilis.com>
*/
include('conf.inc.php');
include($config['base_dir'].'include/prepend.php');
include($config['base_dir'].'include/pear/HTML/TreeMenu.php');
if (!empty($_GET['database']))
{
	$_SESSION['database']['path'] = $_GET['database'];
	$_SESSION['database']['name'] = $_GET['name'];
	$_SESSION['database']['params'] = array('type' => 'sqlite', 'dbas' => $_SESSION['database']['path']);
}
$databases = sqlite::getDatabaseList();
$icon = 'folder.gif';
$expandedIcon = 'folder-expanded.gif';
$menu = new HTML_TreeMenu();
$phpSQLiteAdminNode = &$menu->addItem(new HTML_TreeNode(array('text' => 'phpSQLiteAdmin', 'link' => common::url('index.right.php'), 'linkTarget' => 'rightFrame', 'icon' => 'button.gif', 'cssClass' => 'treeHeading') ));
if (!empty($_SESSION['database']['path']))
{
	$DB = &database::singleton($_SESSION['database']['params']);
	$tables = $DB->getCol("SELECT name FROM sqlite_master WHERE type = 'table'");
	$views = $DB->getCol("SELECT name FROM sqlite_master WHERE type = 'view'");
	$triggers = $DB->getCol("SELECT name FROM sqlite_master WHERE type = 'trigger'");
	$rootNode = &$phpSQLiteAdminNode->addItem(new HTML_TreeNode(array('text' => $_SESSION['database']['name'], 'link' => common::url('database.php'), 'icon' => $icon, 'cssClass' => 'treeHeading' ), array('onmouseup' => 'location.href = location.href')));
	$rootNode->addItem(new HTML_TreeNode(array('text' => lang('Query'), 'link' => common::url('query.php'), 'icon' => 'button.gif')));
	$rootNode->addItem(new HTML_TreeNode(array('text' => lang('Export'), 'link' => common::url('export.php'), 'icon' => 'button.gif')));
	$rootNode->addItem(new HTML_TreeNode(array('text' => lang('Add Table'), 'link' => common::url('table.builder.php'), 'icon' => 'button.gif')));
	$rootNode->addItem(new HTML_TreeNode(array('text' => lang('Add View'), 'link' => common::url('view.php?action=createView&view=null'), 'icon' => 'button.gif')));
	$rootNode->addItem($tablesNode = &new HTML_TreeNode(array('text' => lang('Tables'), 'cssClass' => 'treeHeading', 'icon' => $icon, 'expandedIcon' => $expandedIcon)));
	$rootNode->addItem($viewsNode = &new HTML_TreeNode(array('text' => lang('Views'), 'cssClass' => 'treeHeading', 'icon' => $icon, 'expandedIcon' => $expandedIcon)));
	$rootNode->addItem($triggersNode = &new HTML_TreeNode(array('text' => lang('Triggers'), 'cssClass' => 'treeHeading', 'icon' => $icon, 'expandedIcon' => $expandedIcon)));
	foreach ($tables as $table) $tablesNode->addItem(new HTML_TreeNode(array('text' => $table, 'link' => common::url('table.php?table=' . $table), 'icon' => '../button.browse.gif'), array('oncontextmenu' => "return showTableContextMenu('$table')")));
	foreach ($views as $view) $viewsNode->addItem(new HTML_TreeNode(array('text' => $view, 'link' => common::url('view.php?view=' . $view), 'icon' => '../button.view.gif'), array('oncontextmenu' => "return showViewContextMenu('$view')")));
	foreach ($triggers as $trigger) $triggersNode->addItem(new HTML_TreeNode(array('text' => $trigger, 'link' => common::url('table.php?table=' . $table))));
}
$treeMenu = &new HTML_TreeMenu_DHTML($menu, array('images' => 'images/menu', 'defaultClass' => 'treeMenuDefault', 'linkTarget' => 'rightFrame'));
$noMaster = true;
$template = 'left.tpl';
include($config['base_dir'].'include/template.php');
?>